# Generated by Django 3.0.5 on 2020-05-10 08:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Chat',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('started', models.DateTimeField(auto_now_add=True, verbose_name='started')),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True, verbose_name='timestamp')),
                ('message_body', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='UserChatStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('inactive', 'Inactive'), ('active', 'Active'), ('archived', 'Archived')], default='active', max_length=8)),
                ('joined', models.DateTimeField(auto_now_add=True, verbose_name='joined_timestamp')),
            ],
            options={
                'verbose_name_plural': 'user chat statuses',
            },
        ),
        migrations.CreateModel(
            name='UserMessageStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_read', models.BooleanField(default=False)),
                ('message', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_message_statuses', to='chats.Message')),
            ],
        ),
    ]
